{% extends "base.twig" %}
{% block title %}enregistrer{% endblock %}
{% block include_css %}

{% endblock %}
{% block content %}
    <section class="container-fluid p-5">
        <form method="post" action="/contributor/profile/update/{{ USER_ID }}">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="pseudo">Pseudo</label>
                    <input type="text" class="form-control {% if errors is defined and errors.pseudo is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="pseudo" name="pseudo" value="{% if data is defined %}{{ data.pseudo }}{% endif %}" placeholder="pseudo" required>
                    {% if errors is defined and errors.pseudo is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.pseudo %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
                <div class="form-group col-md-6">
                    <label for="email">Email</label>
                    <input type="email" class="form-control {% if errors is defined and errors.email is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="email" name="email" value="{% if data is defined %}{{ data.email }}{% endif %}" placeholder="email" required>
                    {% if errors is defined and errors.email is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.email %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="name">Nom</label>
                    <input type="text" class="form-control {% if errors is defined and errors.name is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="name" name="name" value="{% if data is defined %}{{ data.name }}{% endif %}" placeholder="nom" required>
                    {% if errors is defined and errors.name is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.name %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
                <div class="form-group col-md-6">
                    <label for="surname">Prénom</label>
                    <input type="surname" class="form-control {% if errors is defined and errors.surname is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="surname" name="surname" value="{% if data is defined %}{{ data.surname }}{% endif %}" placeholder="surname" required>
                    {% if errors is defined and errors.surname is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.surname %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="address">Adresse</label>
                    <input type="text" class="form-control {% if errors is defined and errors.address is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="address" name="address" value="{% if data is defined %}{{ data.address }}{% endif %}" placeholder="address" required>
                    {% if errors is defined and errors.address is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.address %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
                <div class="form-group col-md-6">
                    <label for="city">Ville</label>
                    <input type="city" class="form-control {% if errors is defined and errors.city is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="city" name="city" value="{% if data is defined %}{{ data.surname }}{% endif %}" placeholder="city" required>
                    {% if errors is defined and errors.city is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.city %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
            </div>


            <div class="form-row">
                <div class="form-group col-1">
                    <img width="50px" height="50px" src="{{ data.avatar }}" alt="{{ data.name ~ ' ' ~ data.surname }}">
                </div>

                <div class="form-group col-11">
                    <div class="custom-file">
                        <input type="file" class="custom-file-input"  name="file" id="file2" value="">
                        <label class="custom-file-label" for="file">Choisissez une photo</label>
                        {% if errors is not null and errors.avatar is defined %}
                            <div class="invalid-feedback">
                                {% for error in errors.avatar %}
                                    {{ error }}
                                {% endfor %}
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="d-flex justify-content-center">
                <button type="submit" class="btn btn-primary">Enregistrer</button>
            </div>

        </form>
    </section>


{% endblock %}